QGIS Application - Bug report #15724
Crash - seg fault on project open
2016-10-19 10:33 AM - Spencer Gardner

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.14.7 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 23646
Description

A coworker has been developing a map that has started crashing when he tries to open it. The crash occurs both on Windows and Ubuntu
and in versions 2.14 and 2.16. Since | haven't been working on his map I'm not sure what might have started triggering the crash but we
now have an unusable map document. | have attached a crash dump in the hopes that someone can decode what is going on. The only
useful information | can glean is that | received a segmentation fault in the terminal on Ubuntu after reproducing the crash.

Thanks!

History

#1 - 2016-10-19 10:35 AM - Spencer Gardner

Just noticed that my dump file was too big for an attachment. It can be downloaded from here:
https://www.dropbox.com/s/3zcd4ufhsgl7vha/qgis-20161019-120603-4800-8728-8e19f72.dmp?dl=1

#2 - 2016-10-19 12:33 PM - Nyall Dawson
- Status changed from Open to Feedback

Can you share the project?

#3 - 2016-10-19 01:17 PM - Spencer Gardner

A copy of the project file can be found here:
https://www.dropbox.com/s/2pxtodg66c8gelx/project_crash.ggs?di=1

Unfortunately, the map was pretty complicated and had data from dozens of sources, some shapefiles, some PostGIS, some FileGDB. I'm not sure I'd be
able to gather the data for you. Furthermore some layers may contain client information which I'm not authorized to share publicly.

Sorry, | know that doesn't give you much to go on. | hope it's helpful in some small way. I'm willing to do some testing on my end but my debugging skills

are limited so I'd need some guidance.

#4 - 2016-11-03 09:16 AM - Klas Karlsson

Sounds a lot like a problem I'm having (posted first on #15780). (Ubuntu 16.04)

For me it seems to be PostGis related... | can not get QGIS to crash with only shape files or just one or a few PostGIS layers. Some projects seem to crash
https://www.dropbox.com/s/2pxtodg66c8qelx/project_crash.qgs?dl=1

when they open, others when | pan or zoom.
When | tried a quick "downgrade" to 2.14 it still crashes, so I'm not sure what is going on...

(apport)

ERROR: apport (pid 15006) Thu Nov 3 16:01:10 2016: called for pid 6024, signal 11, core limit 0

ERROR: apport (pid 15006) Thu Nov 3 16:01:10 2016: executable: /usr/bin/qgis.bin (command line "/usr/bin/qgis.bin")
ERROR: apport (pid 15006) Thu Nov 3 16:01:10 2016: debug: session gdbus call: (true,)

(
(
(
ERROR: apport (pid 15006) Thu Nov 3 16:01:10 2016: this executable already crashed 2 times, ignoring

)
)
)
)

(kernlog/syslog)
Nov 3 16:01:10 Deathstar kernel: [ 4713.161288] traps: Thread (pooled)[14996] general protection ip:7f5bcf18a0ef sp:7f5b09ff9c40 error:0 in
libQtGui.s0.4.8.7[7f5bcee7a000+aac000]

#5 - 2017-01-03 04:12 AM - Giovanni Manghi
- Category set to Project Loading/Saving
- Priority changed from Normal to High

Spencer Gardner wrote:

A copy of the project file can be found here:

https://www.dropbox.com/s/2pxtodg66c8qelx/project_crash.qgs ?dl=1

please share again the project and data, without it we will not be able to try replicate the issue and in that case we will close the ticket.

Please try removing all the 3rd party plugins and restart qgis, or even better delete the .qgis2 folder and restart qgis.

#6 - 2017-01-03 06:26 AM - Spencer Gardner
- Status changed from Feedback to Closed

| won't be able to gather project data reliably. My co-worker has moved on to a different project and I'm not sure we'll have time to troubleshoot. Closing for

now.
